C:\iSCSIVirtualDisks dir created during tests

Bug #1219950 reported by Eric Harney on 2013-09-02
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
John Griffith

Bug Description

Running ./run_tests.sh -V leaves a /opt/stack/cinder/C:\iSCSIVirtualDisks directory present after tests. I think something is not mocked out correctly.

Also appears in gate jobs now:
https://jenkins02.openstack.org/job/gate-cinder-python27/732/console

2013-09-02 18:50:28.541 | [gate-cinder-python27] $ /bin/bash /tmp/hudson1564877851369450003.sh
2013-09-02 18:50:28.578 | The following un-ignored files were created during the test:
2013-09-02 18:50:28.578 | "C:\\iSCSIVirtualDisks/"

My guess is that this was introduced by
106bf56 Add support for Havana missing features in Windows driver

Eric Harney (eharney) on 2013-09-02
Changed in cinder:
milestone: none → havana-rc1
milestone: havana-rc1 → havana-3
Eric Harney (eharney) on 2013-09-03
Changed in cinder:
milestone: havana-3 → havana-rc1
Changed in cinder:
importance: Undecided → Medium
assignee: nobody → John Griffith (john-griffith)
status: New → Triaged

Fix proposed to branch: master
Review: https://review.openstack.org/44973

Changed in cinder:
status: Triaged → In Progress

Reviewed: https://review.openstack.org/44973
Committed: http://github.com/openstack/cinder/commit/f0ab7be7c304dad9d925dbc6a82c67ec5bbfc1da
Submitter: Jenkins
Branch: master

commit f0ab7be7c304dad9d925dbc6a82c67ec5bbfc1da
Author: John Griffith <email address hidden>
Date: Tue Sep 3 22:33:24 2013 +0000

    Use tempfile and cleanup in windows unit test

    The unit test test_windows was setting and creating
    a directory c://iSCSIVirtualDisks in the root path
    and even worse wasn't deleting it on cleanup.

    This patch converts that to use tempfile and also
    adds an shutil.rmtree to the teardown method to clean
    up all the junk it creates.

    Fixes bug: 1219950

    Change-Id: Ibd071c9c3ae9a02f26c85a09e8bc6619d8c73a37

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-04
Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc1 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers